Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class AdaBoost

    java.lang.Object
      cc.mallet.classify.Classifier
          cc.mallet.classify.AdaBoost

All Implemented Interfaces:
  AlphabetCarrying, java.io.Serializable

    public class AdaBoost

extends Classifier

AdaBoost Robert E. Schapire. "The boosting approach to machine learning: An overview." In MSRI Workshop on Nonlinear Estimation and Classification, 2002. http://www.research.att.com/~schapire/cgi-bin/uncompress-papers/msri.ps

Author:
  Andrew McCallum mccallum@cs.umass.edu
See Also:
  Serialized Form

Field Summary

Fields inherited from class cc.mallet.classify.Classifier
`instancePipe`

Constructor Summary
`AdaBoost(Pipe instancePipe, Classifier[] weakClassifiers, double[] alphas)`

Method Summary
`Classification` | `classify(Instance inst)`
`Classification` | `classify(Instance inst, int numWeakClassifiersToUse)` Classify the given instance using only the first `numWeakClassifiersToUse` classifiers trained during boosting
`int` | `getNumWeakClassifiers()` Get the number of weak classifiers in this ensemble classifier
`AdaBoost` | `getTrimmedClassifier(int numWeakClassifiersToUse)` Return an AdaBoost classifier that uses only the first `numWeakClassifiersToUse` weak learners.

Methods inherited from class cc.mallet.classify.Classifier
`alphabetsMatch, classify, classify, classify, getAccuracy, getAlphabet, getAlphabets, getAverageRank, getF1, getF1, getF1, getFeatureSelection, getInstancePipe, getLabelAlphabet, getPerClassFeatureSelection, getPrecision, getPrecision, getPrecision, getRecall, getRecall, getRecall, print, print`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdaBoost

    public AdaBoost(Pipe instancePipe,
                    Classifier[] weakClassifiers,
                    double[] alphas)

Method Detail

### getNumWeakClassifiers

    public int getNumWeakClassifiers()

  Get the number of weak classifiers in this ensemble classifier

### getTrimmedClassifier

    public AdaBoost getTrimmedClassifier(int numWeakClassifiersToUse)

  Return an AdaBoost classifier that uses only the first `numWeakClassifiersToUse` weak learners.

  The returned classifier's Pipe and weak classifiers are backed by the respective objects of this classifier, so changes to the returned classifier's Pipe and weak classifiers are reflected in this classifier, and vice versa.

### classify

    public Classification classify(Instance inst)

  Specified by:
    `classify` in class `Classifier`

### classify

    public Classification classify(Instance inst,
                                   int numWeakClassifiersToUse)

  Classify the given instance using only the first `numWeakClassifiersToUse` classifiers trained during boosting

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD